Skip to main content
GET
/
api
/
v1
/
visit_history
/
visit
/
{visitDetailId}
Get history entries for a specific visit
curl --request GET \
  --url https://api.raul.ugps.io/api/v1/visit_history/visit/{visitDetailId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.raul.ugps.io/api/v1/visit_history/visit/{visitDetailId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.raul.ugps.io/api/v1/visit_history/visit/{visitDetailId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "id": "<string>",
    "visit_detail_id": "<string>",
    "action": "<string>",
    "datetime": "2023-11-07T05:31:56Z",
    "change": {},
    "user_id": {},
    "user_name": {},
    "user_email": {},
    "entity_names_old": {},
    "entity_names_new": {}
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

visitDetailId
string
required

Response

200 - application/json

List of history entries for the visit

id
string
required

History entry ID

visit_detail_id
string
required

Visit detail ID

action
string
required

Action performed

datetime
string<date-time>
required

Datetime of action

change
object

Change details

user_id
object

User ID who made the change

user_name
object

User name who made the change

user_email
object

User email who made the change

entity_names_old
object

Resolved entity names for old values (e.g. { technician_id: "Juan Pérez" })

entity_names_new
object

Resolved entity names for new values (e.g. { technician_id: "Pedro González" })